# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-java
BuildRequires: gcc-c++
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Summary:	A Java wrapper around ffmpeg, using JNA
Name:		ffmpeg-java
Version:	20071012
Release:	alt1_0.0.15
License:	LGPLv1
Group:		Development/Java
URL:		http://fmj.sourceforge.net/
Source0:	%{name}.tar.bz2
BuildArch:	noarch

BuildRequires:	ant
BuildRequires:	java-devel-default /proc
#BuildRequires:	libffmpeg0-devel
BuildRequires:	update-alternatives
BuildRequires:	xml-commons-apis
Requires:	java >= 1.5
Requires:	libavcodec58
Source44: import.info

%description
ffmpeg-java is a Java wrapper around ffmpeg, using JNA.

%package javadoc
Summary:	Javadoc for ffmpeg-java
Group:		Documentation
BuildArch: noarch

%description javadoc
Javadoc for ffmpeg-java.

%prep
%setup -q -n %{name}

%build
rm src/*.html
%ant javac jar javadoc

#%%ant \
#	-Dffmpeg.home="%%{_includedir}/ffmpeg" \
#	compile-test-linux

%install
# jar
install -dm 755 %{buildroot}%{_javadir}/fmj
install -pm 644 build/jars/%{name}.jar \
	%{buildroot}%{_javadir}/fmj/%{name}-%{version}.jar
install -pm 644 build/jars/%{name}-gpl.jar \
	%{buildroot}%{_javadir}/fmj/%{name}-gpl-%{version}.jar
pushd %{buildroot}%{_javadir}/fmj
	for jar in *-%{version}*; do
		ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`
	done
popd

# javadoc
install -dm 755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr build/doc/* \
	%{buildroot}%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name} 

%files
%doc *.txt LICENSE README
%dir %{_javadir}/fmj
%{_javadir}/fmj/*.jar

%files javadoc
%doc %{_javadocdir}/%{name}-%{version}
%doc %{_javadocdir}/%{name}




%changelog
* Thu Oct 04 2018 Igor Vlasenko <viy@altlinux.ru> 20071012-alt1_0.0.15
- update by mgaimport

* Sun Mar 18 2018 Igor Vlasenko <viy@altlinux.ru> 20071012-alt1_0.0.14
- new version

